#

API Docs for: 2.0.0
Show: Inherited Protected Private Deprecated

# ConvolutionFilter Class

Extends AbstractFilter
Defined in: `src/pixi/filters/ConvolutionFilter.js:1`
Module: PIXI

The ConvolutionFilter class applies a matrix convolution filter effect. A convolution combines pixels in the input image with neighboring pixels to produce a new image. A wide variety of image effects can be achieved through convolutions, including blurring, edge detection, sharpening, embossing, and beveling. The matrix should be specified as a 9 point Array. See http://docs.gimp.org/en/plug-in-convmatrix.html for more info.

## Constructor

### `ConvolutionFilter`

(

- `matrix`
- `width`
- `height`

)

Defined in `src/pixi/filters/ConvolutionFilter.js:1`

#### Parameters:

- `matrix` Array

  An array of values used for matrix transformation. Specified as a 9 point Array.

- `width` Number

  Width of the object you are transforming

- `height` Number

  Height of the object you are transforming

- Index
- Methods
- Properties

## Item Index

### Methods

- syncUniforms

### Properties

- dirty
- fragmentSrc
- height
- matrix
- padding
- passes
- shaders
- uniforms
- width

## Methods

### `syncUniforms`

()

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:60`

Syncs the uniforms between the class object and the shaders.

## Properties

### `dirty`

Boolean

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:31`

### `fragmentSrc`

Array private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:50`

### `height`

Number

Defined in `src/pixi/filters/ConvolutionFilter.js:93`

Height of the object you are transforming

### `matrix`

Array

Defined in `src/pixi/filters/ConvolutionFilter.js:63`

An array of values used for matrix transformation. Specified as a 9 point Array.

### `padding`

Number

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:37`

### `passes`

Array an array of filter objects private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:15`

An array of passes - some filters contain a few steps this array simply stores the steps in a liniear fashion. For example the blur filter has two passes blurX and blurY.

### `shaders`

Array an array of shaders private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:24`

### `uniforms`

Object private

Inherited from AbstractFilter: `src/pixi/filters/AbstractFilter.js:43`

### `width`

Number

Defined in `src/pixi/filters/ConvolutionFilter.js:78`

Width of the object you are transforming